# 4.1. 모델 뷰어: 3D

## 3D 모델 뷰어: 소개

{% embed url="<https://cylinder.archisketch.com/?id=X1MNWceF0DE919CAF004414>" %}

## 📌 가구 라이브러리: 3D 모델링 업로드 방법

👇 **가구 라이브러리: 3D 모델링 업로드 방법**은 하단 영상을 확인해주세요.

{% embed url="<https://www.youtube.com/watch?v=fjAYpy_lJsI>" %}

## 📌 3D 모델 뷰어: 확인 방법

**3D 모델 뷰어**는 **\[아키스케치 대시보드 > 기업 라이브러리]** 내 **"가구"** 라이브러리에 모델링이 업로드되었을 때 제공됩니다. 가구 라이브러리에 모델링이 정상적으로 업로드되면, **\[1) AR 뷰어 버튼]** 또는 **\[2) 공유/임베드 버튼]**&#xC744; 통해 즉시 3D 모델 뷰어를 통해 확인하실 수 있습니다.

![3D 모델 뷰어 확인 방법](/files/d0a42d0c1ded610619a70e547e74a79e31f8596d)

## 3D 모델 뷰어: URL 구조

> **하단의 데모페이지를 통해 테스트해보세요!**

{% embed url="<https://codepen.io/Archisketch/pen/YzYoGwW>" %}

**3D 모델 뷰어**는 아래와 같은 공통 URL 형식을 따릅니다. 또한, 필요에 따라 추가적인 쿼리 파라미터를 붙여 모델 뷰어를 설정 할 수 있습니다.

### 📌 URL 포멧

```
https://cylinder.archisketch.com/?id={productID}&mode=3d
```

### 📌 쿼리 파라미터(Query Parameter)

| **파라미터**     | **설명**                                      |
| ------------ | ------------------------------------------- |
| `mode=3d`    | 모델 뷰어의 모드를 설정합니다. (default: mode=3d)        |
| `hideInfo=1` | **정보(Information) 버튼**을 숨깁니다.               |
| `hideQr=1`   | **QR 코드**를 숨깁니다.                            |
| `hideAr=1`   | **AR 버튼**을 숨깁니다. (AR 버튼은 모바일 기기에서만 활성화됩니다.) |
| `hideHand=1` | **3D 모드에서 3초간 미작동 시 표시되는 손가락 가이드**를 숨깁니다.   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.archisketch.com/dev-guide/contents/model-viewer/3d.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
